//
//  Result.h
//  MatrixMaster
//
//  Created by Jeremy Clark on 3/6/07.
//  Copyright 2007 Apple Computer. All rights reserved.
//

#import <CoreData/CoreData.h>

@class Value;
@class Build;
@class Case;

@interface Result :  NSManagedObject  
{
}

- (NSString *)radar;
- (void)setRadar:(NSString *)value;
- (BOOL)validateRadar: (id *)valueRef error:(NSError **)outError;

- (NSNumber *)status;
- (void)setStatus:(NSNumber *)value;
- (BOOL)validateStatus: (id *)valueRef error:(NSError **)outError;


- (Build *)build;
- (void)setBuild:(Build *)value;
- (BOOL)validateBuild: (id *)valueRef error:(NSError **)outError;

- (Case *)case;
- (void)setCase:(Case *)value;
- (BOOL)validateCase: (id *)valueRef error:(NSError **)outError;



@end
