//
//  Result.h
//  MatrixMaster
//
//  Created by Jeremy Clark on 2/28/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <CoreData/CoreData.h>

@class Value;
@class Build;

@interface Result :  NSManagedObject  
{
}

- (NSString *)valueMapString;

- (NSString *)status;
- (void)setStatus:(NSString *)value;
- (BOOL)validateStatus: (id *)valueRef error:(NSError **)outError;

// Access to-many relationship via -[NSObject mutableSetValueForKey:]
- (void)addValuesObject:(Value *)value;
- (void)removeValuesObject:(Value *)value;

- (Build *)build;
- (void)setBuild:(Build *)value;
- (BOOL)validateBuild: (id *)valueRef error:(NSError **)outError;

@end
