//
//  Parameter.h
//  MatrixMaster
//
//  Created by Jeremy Clark on 2/28/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <CoreData/CoreData.h>
#import "MyDocument.h"

@class Value;

@interface Parameter :  NSManagedObject  
{
	MyDocument * _document;
}


//These two are used primarily for scripting purposes. 
- (NSString *)uniqueID;
- (MyDocument *)document;
- (NSArray *)orderedValues;

- (NSNumber *)shouldPlot;
- (void)setShouldPlot:(NSNumber *)value;
- (BOOL)validateShouldPlot: (id *)valueRef error:(NSError **)outError;

- (NSNumber *)plotAxis;
- (void)setPlotAxis:(NSNumber *)value;
- (BOOL)validatePlotAxis: (id *)valueRef error:(NSError **)outError;

- (NSString *)name;
- (void)setName:(NSString *)value;
- (BOOL)validateName: (id *)valueRef error:(NSError **)outError;

// Access to-many relationship via -[NSObject mutableSetValueForKey:]
- (void)addValuesObject:(Value *)value;
- (void)removeValuesObject:(Value *)value;





@end
