// 
//  Result.m
//  MatrixMaster
//
//  Created by Jeremy Clark on 3/6/07.
//  Copyright 2007 Apple Computer. All rights reserved.
//

#import "Result.h"

#import "Value.h"
#import "Build.h"

@implementation Result 

- (NSString *)radar 
{
    NSString * tmpValue;
    
    [self willAccessValueForKey: @"radar"];
    tmpValue = [self primitiveValueForKey: @"radar"];
    [self didAccessValueForKey: @"radar"];
    
    return tmpValue;
}

- (void)setRadar:(NSString *)value 
{
    [self willChangeValueForKey: @"radar"];
    [self setPrimitiveValue: value forKey: @"radar"];
    [self didChangeValueForKey: @"radar"];
}

- (BOOL)validateRadar: (id *)valueRef error:(NSError **)outError 
{
    // Insert custom validation logic here.
    return YES;
}

- (NSNumber *)status 
{
    NSNumber * tmpValue;
    
    [self willAccessValueForKey: @"status"];
    tmpValue = [self primitiveValueForKey: @"status"];
    [self didAccessValueForKey: @"status"];
    
    return tmpValue;
}

- (void)setStatus:(NSNumber *)value 
{
    [self willChangeValueForKey: @"status"];
    [self setPrimitiveValue: value forKey: @"status"];
    [self didChangeValueForKey: @"status"];
}

- (BOOL)validateStatus: (id *)valueRef error:(NSError **)outError 
{
    // Insert custom validation logic here.
    return YES;
}



- (Build *)build 
{
    id tmpObject;
    
    [self willAccessValueForKey: @"build"];
    tmpObject = [self primitiveValueForKey: @"build"];
    [self didAccessValueForKey: @"build"];
    
    return tmpObject;
}

- (void)setBuild:(Build *)value 
{
    [self willChangeValueForKey: @"build"];
    [self setPrimitiveValue: value
                     forKey: @"build"];
    [self didChangeValueForKey: @"build"];
}


- (BOOL)validateBuild: (id *)valueRef error:(NSError **)outError 
{
    // Insert custom validation logic here.
    return YES;
}



- (Case *)case 
{
    id tmpObject;
    
    [self willAccessValueForKey: @"case"];
    tmpObject = [self primitiveValueForKey: @"case"];
    [self didAccessValueForKey: @"case"];
    
    return tmpObject;
}

- (void)setCase:(Case *)value 
{
    [self willChangeValueForKey: @"case"];
    [self setPrimitiveValue: value
                     forKey: @"case"];
    [self didChangeValueForKey: @"case"];
}


- (BOOL)validateCase: (id *)valueRef error:(NSError **)outError 
{
    // Insert custom validation logic here.
    return YES;
}




@end
