//
//  Value.h
//  MatrixMaster
//
//  Created by Jeremy Clark on 2/28/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <CoreData/CoreData.h>

@class Case;

@interface Value :  NSManagedObject  
{
}

- (NSString *)uniqueID;

- (NSNumber *)shouldPlot;
- (void)setShouldPlot:(NSNumber *)value;
- (BOOL)validateShouldPlot: (id *)valueRef error:(NSError **)outError;

- (NSString *)name;
- (void)setName:(NSString *)value;
- (BOOL)validateName: (id *)valueRef error:(NSError **)outError;

- (NSManagedObject *)parameter;
- (void)setParameter:(NSManagedObject *)value;
- (BOOL)validateParameter: (id *)valueRef error:(NSError **)outError;

- (NSNumber *)isDefault;
- (void)setIsDefault:(NSNumber *)value;
- (BOOL)validateIsDefault: (id *)valueRef error:(NSError **)outError;


// Access to-many relationship via -[NSObject mutableSetValueForKey:]
- (void)addCasesObject:(Case *)value;
- (void)removeCasesObject:(Case *)value;



@end
